Bug 518003 - WebKit: update to 1.1.1 please
WebKit: update to 1.1.1 please
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: WebKit (Show other bugs)
10
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
: Triaged
Depends On: 488541
Blocks: CVE-2009-1570 CVE-2009-3909 495670
  Show dependency treegraph
 
Reported: 2009-08-18 07:54 EDT by Nils Philippsen
Modified: 2009-12-18 04:40 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 488541
Environment:
Last Closed: 2009-12-18 04:40:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2009-08-18 07:54:45 EDT
Hi,

currently, only WebKit-1.0 is available in Fedora 10. This unfortunately blocks updating gimp to 2.6.7 as this needs 1.1.0 as a minimum.

+++ This bug was initially created as a clone of Bug #488541 +++

WebKit 1.1.1 has been released upstream. 

I did a hacky rebuild here to test with, and midori at least works great with this version. 

Here's the spec I used. I ran into issues with doc files. I don't quite understand why you are packaging the doc files via a macro instead of just marking them %doc. 

Anyhow, feel free to use any or part of this and update to 1.1.1: 

--- WebKit.spec	3 Mar 2009 18:57:53 -0000	1.28
+++ WebKit.spec	4 Mar 2009 18:48:34 -0000
@@ -3,7 +3,7 @@
 	cp -p %1  %{buildroot}%{_docdir}/%{name}-%{version}/$(echo '%1' | sed -e 's!/!.!g') \
 	echo %%{_docdir}/%{name}-%{version}/$(echo '%1' | sed -e 's!/!.!g') >> docfiles.list
 
-%define		svn_revision	41071
+#define		svn_revision	41071
 
 ## Optional build modifications...
 ## --with debug: Enable more verbose debugging. Makes runtime a bit slower.
@@ -35,15 +35,15 @@
 %bcond_with	wml
 
 Name:		WebKit
-Version:	1.1.0
-Release:	0.21.svn%{svn_revision}%{?dist}
+Version:	1.1.1
+Release:	1%{?dist}
 Summary:	Web content engine library
 
 Group:		Development/Libraries
 License:	LGPLv2+ and BSD
 URL:		http://webkit.org/
 
-Source0:	http://nightly.webkit.org/files/trunk/src/WebKit-r%{svn_revision}.tar.bz2
+Source0:	http://cafe.minaslivre.org/webkit/webkit-1.1.1.tar.gz
 
 BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 
@@ -112,16 +112,16 @@
 
 
 %prep
-%setup -qn "%{name}-r%{svn_revision}"
+%setup -qn "webkit-%{version}"
 
 
 %build
 ## We don't like pre-built binaries, especially ones for other OSes. =)
-rm -r WebKitLibraries/{*.a,win/}
+#rm -r WebKitLibraries/{*.a,win/}
 
 ## Don't call configure automatically
-sed -i.conf -e '$d' autogen.sh
-./autogen.sh
+#sed -i.conf -e '$d' autogen.sh
+#./autogen.sh
 
 %configure							\
 			--with-http-backend=soup		\
@@ -150,15 +150,16 @@
 ## Finally, copy over and rename the various files for %%doc inclusion.
 rm -f docfiles.list
 %add_to_doc_files JavaScriptCore/COPYING.LIB
-%add_to_doc_files JavaScriptCore/icu/LICENSE
-%add_to_doc_files JavaScriptGlue/LICENSE
+#add_to_doc_files JavaScriptCore/icu/LICENSE
+#add_to_doc_files JavaScriptGlue/LICENSE
 %add_to_doc_files WebKit/LICENSE
 %add_to_doc_files WebCore/LICENSE-APPLE
 %add_to_doc_files WebCore/LICENSE-LGPL-2.1
 %add_to_doc_files WebCore/icu/LICENSE
 
-%add_to_doc_files JavaScriptCore/icu/README
-%add_to_doc_files WebCore/icu/README
+rm -f JavaScriptCore/icu/README
+#add_to_doc_files WebCore/icu/README
+%add_to_doc_files JavaScriptCore/COPYING.LIB
 
 %add_to_doc_files JavaScriptCore/AUTHORS
 %add_to_doc_files JavaScriptCore/pcre/AUTHORS   
@@ -196,6 +197,9 @@
 
 
 %changelog
+* Wed Mar  4 2009 Kevin Fenzi <kevin@tummy.com> - 1.1.1-1
+- Update to 1.1.1
+
 * Wed Mar  4 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 1.1.0-0.21.svn41071
 - Compile libJavaScriptCore.a with -fno-strict-aliasing to
   do workaround for #488112

--- Additional comment from martin.sourada@gmail.com on 2009-03-05 11:57:38 EDT ---

I'd also suggest removal of --with-http-backend=soup because there is no other http backend supported in WebKit/GTK now and I'd also add --enable-gnomekeyring to have integration with gnome keyring for web auth. Here's my diff:

6c6
< #%define		svn_revision	41071
---
> %define		svn_revision	41071
29d28
< ##
39,41c38,39
< Version:	1.1.1
< Release:	0.1%{?dist}
< #Release:	0.20.svn%{svn_revision}%{?dist}
---
> Version:	1.1.0
> Release:	0.21.svn%{svn_revision}%{?dist}
48,49c46
< #Source0:	http://nightly.webkit.org/files/trunk/src/WebKit-r%{svn_revision}.tar.bz2
< Source0:        http://cafe.minaslivre.org/webkit/webkit-%{version}.tar.gz
---
> Source0:	http://nightly.webkit.org/files/trunk/src/WebKit-r%{svn_revision}.tar.bz2
65d61
< BuildRequires:  gnome-keyring-devel
119,120c115
< #%setup -qn "%{name}-r%{svn_revision}"
< %setup -qn webkit-%{version}
---
> %setup -qn "%{name}-r%{svn_revision}"
125c120
< #rm -r WebKitLibraries/{*.a,win/}
---
> rm -r WebKitLibraries/{*.a,win/}
128,129c123,124
< #sed -i.conf -e '$d' autogen.sh
< #./autogen.sh
---
> sed -i.conf -e '$d' autogen.sh
> ./autogen.sh
132c127
< 			--enable-gnomekeyring    		\
---
> 			--with-http-backend=soup		\
155a154
> %add_to_doc_files JavaScriptGlue/LICENSE
161a161
> %add_to_doc_files WebCore/icu/README

And here's my test build:
http://mso.fedorapeople.org/packages/rawhide/i586/WebKit-gtk-1.1.1-0.1.fc11.i586.rpm
http://mso.fedorapeople.org/packages/rawhide/i586/WebKit-gtk-devel-1.1.1-0.1.fc11.i586.rpm
http://mso.fedorapeople.org/packages/rawhide/i586/WebKit-doc-1.1.1-0.1.fc11.i586.rpm

--- Additional comment from kevin@tummy.com on 2009-03-05 17:34:40 EDT ---

That looks pretty good to me. 

Personally, I would leave the svn version of things in place and commented, so moving back to a svn release later would be simple to do.

--- Additional comment from kevin@tummy.com on 2009-03-05 17:45:57 EDT ---

Oh, one more issue: 

I read on irc from one of the webkit devs that the offical name is now: 

WebKitGTK+

So, we may wish to rename at whatever point that upstream starts widely using this name.

--- Additional comment from peter@thecodergeek.com on 2009-03-05 21:45:36 EDT ---

Thanks, Kevin & Mamoru-san. I'll take care of this tonight. :)

--- Additional comment from peter@thecodergeek.com on 2009-03-08 01:48:09 EDT ---

I've bumped the package in Rawhide, including the various suggestions and changes noted in this bug report. Thanks, and Regards. :)

Kevin, to answer your initial inquiry of why I'm using a seperate macro instead of just plain-old-normal %doc:  Most of the files in the documentation are of the same name (such as "COPYING.LIB" or "README") whose only difference is that they are within seperate subdirectories of the source tree. The %add_to_doc_files macro that I've created simply takes the name of the subdirectory and includes that (prepended) with the name of the file, so as not to have conflicts in the documentation's various filenames.
Comment 1 Peter Gordon 2009-08-19 20:35:51 EDT
Working on this update now. :) I also want to fix CVE-2009-2195 at the same time, so it's slightly more than a simple version bump. 

Thanks.
Comment 2 Nils Philippsen 2009-11-17 08:18:01 EST
This is really needed so I can fix bug #537370 and bug #537356 (which are security fixes) before F-10 goes EOL. Thanks.
Comment 3 Bug Zapper 2009-11-18 02:51:50 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-12-18 04:40:30 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.